hadoop-hive-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Shyam Sarkar <shyam_sar...@yahoo.com>
Subject Re: Need Help on Eclipse + JDK to load hive project !!
Date Sat, 31 Jan 2009 20:19:13 GMT
I am getting following error for build ant package ::
=====================================================


[ssarkar@ayush2 hive]$ /usr/java/apache-ant-1.7.1/bin/ant package -Dhadoop.version=hadoop-0.17.2.1
Buildfile: build.xml

deploy:

init:

download-ivy:

init-ivy:

settings-ivy:

resolve:
[ivy:retrieve] :: Ivy 2.0.0-rc2 - 20081028224207 :: http://ant.apache.org/ivy/ ::
:: loading settings :: file = /home/ssarkar/hive/ivy/ivysettings.xml
[ivy:retrieve] :: resolving dependencies :: org.apache.hadoop.hive#common;working@ayush2
[ivy:retrieve]  confs: [default]
[ivy:retrieve] :: resolution report :: resolve 231ms :: artifacts dl 0ms
        ---------------------------------------------------------------------
        |                  |            modules            ||   artifacts   |
        |       conf       | number| search|dwnlded|evicted|| number|dwnlded|
        ---------------------------------------------------------------------
        |      default     |   1   |   0   |   0   |   0   ||   0   |   0   |
        ---------------------------------------------------------------------
[ivy:retrieve] 
[ivy:retrieve] :: problems summary ::
[ivy:retrieve] :::: WARNINGS
[ivy:retrieve]          module not found: hadoop#core;hadoop-0.17.2.1
[ivy:retrieve]  ==== hadoop-resolver: tried
[ivy:retrieve]    -- artifact hadoop#core;hadoop-0.17.2.1!hadoop.tar.gz(source):
[ivy:retrieve]    http://archive.apache.org/dist/hadoop/core/hadoop-hadoop-0.17.2.1/hadoop-hadoop-0.17.2.1.tar.gz
[ivy:retrieve]          ::::::::::::::::::::::::::::::::::::::::::::::
[ivy:retrieve]          ::          UNRESOLVED DEPENDENCIES         ::
[ivy:retrieve]          ::::::::::::::::::::::::::::::::::::::::::::::
[ivy:retrieve]          :: hadoop#core;hadoop-0.17.2.1: not found
[ivy:retrieve]          ::::::::::::::::::::::::::::::::::::::::::::::
[ivy:retrieve] 
[ivy:retrieve] :: USE VERBOSE OR DEBUG MESSAGE LEVEL FOR MORE DETAILS

BUILD FAILED
/home/ssarkar/hive/build.xml:83: The following error occurred while executing this line:
/home/ssarkar/hive/build-common.xml:83: impossible to resolve dependencies:
        resolve failed - see output for details

Total time: 1 second
[ssarkar@ayush2 hive]$ 

--- On Sat, 1/31/09, Prasad Chakka <prasad@facebook.com> wrote:

> From: Prasad Chakka <prasad@facebook.com>
> Subject: Re: Need Help on Eclipse + JDK to load hive project !!
> To: "hive-dev@hadoop.apache.org" <hive-dev@hadoop.apache.org>, "shyam_sarkar@yahoo.com"
<shyam_sarkar@yahoo.com>
> Date: Saturday, January 31, 2009, 11:52 AM
> I use Eclipse 3.4.0 (3.4.1 also works) with Java 6. Try the
> instruction from here
> http://wiki.apache.org/hadoop/Hive/GettingStarted/EclipseSetup
> 
> I use hadoop-0.17.2.1 version instead of hadoop-0.19 since
> the former works well with running unit tests.
> 
> 
> ________________________________
> From: Shyam Sarkar <shyam_sarkar@yahoo.com>
> Reply-To: <hive-dev@hadoop.apache.org>,
> <shyam_sarkar@yahoo.com>
> Date: Sat, 31 Jan 2009 11:46:35 -0800
> To: <hive-dev@hadoop.apache.org>
> Subject: Need Help on Eclipse + JDK to load hive project !!
> 
> Hi,
> 
> I have a linux box running Red Hat Linux 4. I tried with
> many eclipse and jdk versions but finally eclipse 3.2.1
> worked with jdk1.5 java run time. I could not load source
> files from hive into a project.
> 
> COULD SOMEONE PLEASE TELL ME THE FOLLOWING ::
> 
> (1) Is the version for eclipse + jdk fine for hive
> development ?
> (2) How to load the whole hive project onto eclipse ?
> 
> Regards,
> shyam_sarkar@yahoo.com


      

Mime
View raw message